import * as _vue from "vue";

/**
 * @Date: 2020/11/23 8:12 下午
 * @Author: Fioanna
 * @Description: 带文字长度展示的输入框
 */
import AInput from 'ant-design-vue/es/input';
import inputProps from './types';
import './style.less';
export default {
  name: 'EInput',
  components: {
    AInput: AInput
  },
  props: inputProps,
  data: function data() {
    return {
      value_: this.$props.value
    };
  },
  computed: {
    length: function length() {
      var value = '';

      if (this.value_) {
        value = this.value_ + '';
      }

      return value.length + '/' + this.$props.maxLength;
    }
  },
  methods: {
    _change: function _change(e) {
      this.value_ = e.target.value || '';
      this.$emit('input', this.value_);
      this.$emit('change', e);
    },
    _blur: function _blur(e) {
      this.$emit('blur', e);
    },
    _renderInput: function _renderInput() {
      return _vue.createVNode(_vue.resolveComponent("a-input"), _vue.mergeProps({
        props: this.$props
      }, {
        "onChange": this._change,
        "onBlur": this._blur
      }), null);
    }
  },
  render: function render() {
    var showLimit = this.$props.maxLength > 0;
    return _vue.createVNode("div", {
      "class": "e-input"
    }, [this._renderInput(), showLimit ? _vue.createVNode("span", {
      "class": "e-input-limit"
    }, [this.length]) : null]);
  }
};