"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _vue = _interopRequireWildcard(require("vue"));

var _PageHeader = _interopRequireDefault(require("../../../PageHeader"));

var _button = _interopRequireDefault(require("ant-design-vue/es/button"));

var _types = require("./types");

require("./style.less");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

/**
 * 具有保存草稿功能的分布表单页面头,需要用 createElement(ESaveDraftPageHeader)方式传入
 */
var _default2 = {
  name: 'ESaveDraftPageHeader',
  components: {
    EPageHeader: _PageHeader["default"],
    AButton: _button["default"]
  },
  props: _types.SaveDraftPageHeaderProps,
  render: function render() {
    var _this = this;

    var _this$$props = this.$props,
        pageTitle = _this$$props.pageTitle,
        pageSubTitle = _this$$props.pageSubTitle,
        pageDesc = _this$$props.pageDesc,
        draftLoading = _this$$props.draftLoading,
        reason = _this$$props.reason,
        saveDraft = _this$$props.saveDraft;
    return _vue.createVNode(_vue.resolveComponent("e-page-header"), {
      "title": pageTitle,
      "sub-title": pageSubTitle
    }, {
      "default": function _default() {
        return [_vue.createVNode("div", {
          "slot": "content",
          "class": "page-header-content"
        }, [_vue.createVNode("div", null, [pageDesc]), reason ? _vue.createVNode("div", {
          "class": "reason"
        }, ["\u5931\u8D25\u539F\u56E0\uFF1A".concat(_this.reason)]) : null]), _vue.createVNode(_vue.resolveComponent("a-button"), {
          "slot": "action",
          "type": "primary",
          "ghost": true,
          "loading": draftLoading,
          "onClick": saveDraft
        }, {
          "default": function _default() {
            return [_vue.createTextVNode("\u5B58\u4E3A\u8349\u7A3F")];
          }
        })];
      }
    });
  }
};
exports["default"] = _default2;